Skip to main content
GET
/
v1
/
network-health
/
{namespace}
Get namespace detail
curl --request GET \
  --url https://sandbox-api.borderless.xyz/v1/network-health/{namespace} \
  --header 'Authorization: Bearer <token>'
{
  "namespace": "<string>",
  "overallStatus": "Operational",
  "components": [
    {
      "id": "<string>",
      "namespace": "<string>",
      "name": "<string>",
      "status": "Operational",
      "order": 123,
      "manual": true,
      "hidden": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "description": "<string>"
    }
  ],
  "incidents": [
    {
      "id": "<string>",
      "namespace": "<string>",
      "title": "<string>",
      "status": "Investigating",
      "impact": "None",
      "manual": true,
      "startedAt": "2023-11-07T05:31:56Z",
      "components": [
        {
          "id": "<string>",
          "name": "<string>"
        }
      ],
      "updates": [
        {
          "id": "<string>",
          "status": "Investigating",
          "reportedAt": "2023-11-07T05:31:56Z",
          "incidentId": "<string>",
          "message": "<string>"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "resolvedAt": "2023-11-07T05:31:56Z",
      "sourceUrl": "<string>"
    }
  ],
  "maintenances": [
    {
      "id": "<string>",
      "namespace": "<string>",
      "title": "<string>",
      "status": "Investigating",
      "impact": "None",
      "manual": true,
      "startedAt": "2023-11-07T05:31:56Z",
      "components": [
        {
          "id": "<string>",
          "name": "<string>"
        }
      ],
      "updates": [
        {
          "id": "<string>",
          "status": "Investigating",
          "reportedAt": "2023-11-07T05:31:56Z",
          "incidentId": "<string>",
          "message": "<string>"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "resolvedAt": "2023-11-07T05:31:56Z",
      "sourceUrl": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

namespace
string
required
Example:

"Bridge"

Response

200 - application/json
namespace
string
required
overallStatus
enum<string>
required

Worst status across all components

Available options:
Operational,
DegradedPerformance,
PartialOutage,
MajorOutage,
UnderMaintenance
components
object[]
required
incidents
object[]
required

Active incidents (non-resolved)

maintenances
object[]
required

Scheduled or in-progress maintenances